
from FX import *


cubeTex = Texture(filename = ['CloudyHills_%s.tga' % s for s in 
                              [ "posx", "negx", "posy", "negy", "posz", "negz" ]],
                  type = TEXTURE_CUBE)

cubeMap = Sampler(cubeTex,
                  MinFilter = GL_LINEAR_MIPMAP_LINEAR,
                  MagFilter = LINEAR,
                  WrapS = CLAMP_TO_EDGE,
                  WrapT = CLAMP_TO_EDGE,
                  WrapR = CLAMP_TO_EDGE,
                  TexGenS = NORMAL_MAP,
                  TexGenT = NORMAL_MAP,
                  TexGenR = NORMAL_MAP,
                  TextureOp = REPLACE)

technique = [Pass(ZEnable = True,
                  ZWriteEnable = True,
                  Texture0 = cubeMap)]

