from FX import *

texture = Texture('Aniso1.tga')


fs = Cg("""
void main(float2 texCoord : TEXCOORD0,

      out float4 oColor : COLOR,

  uniform sampler2D decal)
{
  oColor = tex2D(decal, texCoord);
}
""")

decal = Sampler(texture,
                TexGenS = OBJECT_LINEAR,
                TexGenT = OBJECT_LINEAR)

technique = [Pass(FragmentShader = fs())]


